import { Selector } from "testcafe"

const host = "127.0.0.1"
const port = 3000

fixture`Peer 2`.page`${host}:${port}`

const idAppearTimeout = 1000
const syncTimeout = 15000
const selectorOptions = { timeout: 1000 }

test("Connection id appears", async (t) => {
  const userId = async () =>
    await Selector("#user-avatar")
      .child(1)
      .addCustomDOMProperties({ innerHTML: (el) => el.innerHTML })
      .with(selectorOptions).innerHTML

  await t
    .wait(idAppearTimeout)
    .expect((await userId()).length)
    .gt(0)
})

test("Canvas eventually gets a child element", async (t) => {
  const canvas = Selector("#canvas").with(selectorOptions)
  await t.expect(canvas.childElementCount).eql(1, { timeout: syncTimeout })
})
