const path = require("path")
const webpack = require("webpack")

module.exports = {
  mode: "development",
  entry: {
    app: "./src/app.js",
    queue: "./src/queue.js",
  },
  output: {
    filename: "[name].js",
    path: path.resolve(__dirname, "public/js"),
    publicPath: "js/",
  },
  plugins: [
    new webpack.ProvidePlugin({
      EventTarget: ["@ungap/event-target", "default"],
    }),
  ],
  module: {
    rules: [
      {
        test: /\.js$/,
        use: [
          {
            loader: "webpack-preprocessor-loader",
            options: {
              verbose: false,
            },
          },
        ],
      },
    ],
  },
}
